Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1567088 - restructure commands under section 7.1. Updating Satellite Server
Summary: restructure commands under section 7.1. Updating Satellite Server
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Upgrading and Updating Red Hat Satellite
Version: 6.2.14
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: Michaela Slaninkova
QA Contact: Vlada Grosu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 12:05 UTC by Harshad More
Modified: 2021-06-10 15:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-21 09:06:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Harshad More 2018-04-13 12:05:14 UTC
Document URL: 

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html/installation_guide/updating_satellite_server_capsule_server_and_content_hosts#updating_satellite_server_to_next_minor_version

Section Number and Name: 

7.1. Updating Satellite Server
7.2. Updating Capsule Server

Describe the issue: 

Under step 5 "If you have custom Apache server configurations"
there is five sub-points. If customer skips point number "5" then he should be directly performing command

# satellite-installer --scenario satellite --upgrade --verbose --noop

The above mention command is included as a sub-command of step 5.
Which should ideally step 6 and henceforth

Currently, this is documented as

----------

iv. Enter the command with the --noop option as follows.

# satellite-installer --scenario satellite --upgrade --verbose --noop
--------------------------

Suggestions for improvement: 

This should be made an independent step

6. Enter the command with the --noop option as follows.

# satellite-installer --scenario satellite --upgrade --verbose --noop

7. Stop Katello services.

8. If a kernel update occurred during the yum update step, reboot the system:
---------------------

Same goes for the steps under section 7.2. Updating Capsule Server


Additional information:

Comment 1 Andrew Dahms 2018-06-19 04:28:28 UTC
Assigning to Misa for review.

Misa - we should back port this to 6.3 as well when merged.

Comment 2 Michaela Slaninkova 2018-06-19 08:05:57 UTC
Hello Harshad,

Thank you for raising this bug. I reviewed the procedure and it seems to me that the substep 4-iv ("iv. Enter the command with the --noop option as follows")
should stay as a substep because it is related only to customers with custom Apache server configurations. I think the right way is to put substep 4-v ("Stop Katello services.") as a step 6, so it looks like:

======
iv. Enter the command with the --noop option as follows.
 ...
6. Stop Katello services.
7. Perform the update by running the installer script with the --upgrade option.
8. If a kernel update occurred during the yum update step, reboot the system
...
=======


What do you think?

Thank you.

Comment 3 Harshad More 2018-06-21 01:56:04 UTC
(In reply to Michaela Slaninkova from comment #2)
> Hello Harshad,
> 
> Thank you for raising this bug. I reviewed the procedure and it seems to me
> that the substep 4-iv ("iv. Enter the command with the --noop option as
> follows")
> should stay as a substep because it is related only to customers with custom
> Apache server configurations. I think the right way is to put substep 4-v
> ("Stop Katello services.") as a step 6, so it looks like:
> 
> ======
> iv. Enter the command with the --noop option as follows.
>  ...
> 6. Stop Katello services.
> 7. Perform the update by running the installer script with the --upgrade
> option.
> 8. If a kernel update occurred during the yum update step, reboot the system
> ...
> =======
> 
> 
> What do you think?
> 
> Thank you.

-------------------------------

Hello,

No the step 4-iv (--noop option) is not specific to custom apache server configuration. This is a dry run before actually running the upgrade script.
So its for every customer.


Note You need to log in before you can comment on or make changes to this bug.